Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.engine
Interface IProfileEvent

    public interface IProfileEvent

An event indicating that a profile has been added, removed, or changed.

Since:
  2.0
See Also:
  `IProvisioningEventBus`

Field Summary
`static int` `ADDED` Event constant (value 0) indicating that a profile has been added to a profile registry.
`static int` `CHANGED` Event constant (value 0) indicating that a profile has been changed in a profile registry.
`static int` `REMOVED` Event constant (value 1) indicating that a profile has been removed from a profile registry.

Method Summary
`String` `getProfileId()` Returns the id of the profile that changed.
`int` `getReason()` Returns the reason for the event.

Field Detail

### ADDED

    static final int ADDED

  Event constant (value 0) indicating that a profile has been added to a profile registry.

  See Also:
    Constant Field Values

### REMOVED

    static final int REMOVED

  Event constant (value 1) indicating that a profile has been removed from a profile registry.

  See Also:
    Constant Field Values

### CHANGED

    static final int CHANGED

  Event constant (value 0) indicating that a profile has been changed in a profile registry.

  See Also:
    Constant Field Values

Method Detail

### getReason

    int getReason()

  Returns the reason for the event. The reason will be one of the event constants `ADDED`, `REMOVED`, or `CHANGED`.

  Returns:
    the reason for the event

### getProfileId

    String getProfileId()

  Returns the id of the profile that changed.

  Returns:
    the id of the profile that changed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.